diff --git a/lib/hypervisor/hv_kvm.py b/lib/hypervisor/hv_kvm.py
index 0f6569d..b11bf4c 100644
--- a/lib/hypervisor/hv_kvm.py
+++ b/lib/hypervisor/hv_kvm.py
@@ -196,7 +196,7 @@ class KVMHypervisor(hv_base.BaseHypervisor):
     constants.HV_MEM_PATH: hv_base.OPT_DIR_CHECK,
     }
 
-  _MIGRATION_STATUS_RE = re.compile('Migration\s+status:\s+(\w+)',
+  _MIGRATION_STATUS_RE = re.compile("Migration\s+status:\s+(\w+)",
                                     re.M | re.I)
   _MIGRATION_INFO_MAX_BAD_ANSWERS = 5
   _MIGRATION_INFO_RETRY_DELAY = 2
@@ -257,7 +257,7 @@ class KVMHypervisor(hv_base.BaseHypervisor):
     memory = 0
     vcpus = 0
 
-    arg_list = cmdline.split('\x00')
+    arg_list = cmdline.split("\x00")
     while arg_list:
       arg =  arg_list.pop(0)
       if arg == "-name":
@@ -526,15 +526,15 @@ class KVMHypervisor(hv_base.BaseHypervisor):
     kvm = constants.KVM_PATH
     kvm_cmd = [kvm]
     # used just by the vnc server, if enabled
-    kvm_cmd.extend(['-name', instance.name])
-    kvm_cmd.extend(['-m', instance.beparams[constants.BE_MEMORY]])
-    kvm_cmd.extend(['-smp', instance.beparams[constants.BE_VCPUS]])
-    kvm_cmd.extend(['-pidfile', pidfile])
-    kvm_cmd.extend(['-daemonize'])
+    kvm_cmd.extend(["-name", instance.name])
+    kvm_cmd.extend(["-m", instance.beparams[constants.BE_MEMORY]])
+    kvm_cmd.extend(["-smp", instance.beparams[constants.BE_VCPUS]])
+    kvm_cmd.extend(["-pidfile", pidfile])
+    kvm_cmd.extend(["-daemonize"])
     if not instance.hvparams[constants.HV_ACPI]:
-      kvm_cmd.extend(['-no-acpi'])
+      kvm_cmd.extend(["-no-acpi"])
     if startup_paused:
-      kvm_cmd.extend(['-S'])
+      kvm_cmd.extend(["-S"])
 
     hvp = instance.hvparams
     boot_disk = hvp[constants.HV_BOOT_ORDER] == constants.HT_BO_DISK
@@ -548,13 +548,13 @@ class KVMHypervisor(hv_base.BaseHypervisor):
       kvm_cmd.extend(["-disable-kvm"])
 
     if boot_network:
-      kvm_cmd.extend(['-boot', 'n'])
+      kvm_cmd.extend(["-boot", "n"])
 
     disk_type = hvp[constants.HV_DISK_TYPE]
     if disk_type == constants.HT_DISK_PARAVIRTUAL:
-      if_val = ',if=virtio'
+      if_val = ",if=virtio"
     else:
-      if_val = ',if=%s' % disk_type
+      if_val = ",if=%s" % disk_type
     # Cache mode
     disk_cache = hvp[constants.HV_DISK_CACHE]
     if instance.disk_template in constants.DTS_EXT_MIRROR:
@@ -575,14 +575,14 @@ class KVMHypervisor(hv_base.BaseHypervisor):
       # TODO: handle FD_LOOP and FD_BLKTAP (?)
       boot_val = ""
       if boot_disk:
-        kvm_cmd.extend(['-boot', 'c'])
+        kvm_cmd.extend(["-boot", "c"])
         boot_disk = False
         if (v_major, v_min) < (0, 14) and disk_type != constants.HT_DISK_IDE:
           boot_val = ",boot=on"
 
-      drive_val = 'file=%s,format=raw%s%s%s' % (dev_path, if_val, boot_val,
+      drive_val = "file=%s,format=raw%s%s%s" % (dev_path, if_val, boot_val,
                                                 cache_val)
-      kvm_cmd.extend(['-drive', drive_val])
+      kvm_cmd.extend(["-drive", drive_val])
 
     #Now we can specify a different device type for CDROM devices.
     cdrom_disk_type = hvp[constants.HV_KVM_CDROM_DISK_TYPE]
@@ -591,55 +591,55 @@ class KVMHypervisor(hv_base.BaseHypervisor):
 
     iso_image = hvp[constants.HV_CDROM_IMAGE_PATH]
     if iso_image:
-      options = ',format=raw,media=cdrom'
+      options = ",format=raw,media=cdrom"
       if boot_cdrom:
-        kvm_cmd.extend(['-boot', 'd'])
+        kvm_cmd.extend(["-boot", "d"])
         if cdrom_disk_type != constants.HT_DISK_IDE:
-          options = '%s,boot=on,if=%s' % (options, constants.HT_DISK_IDE)
+          options = "%s,boot=on,if=%s" % (options, constants.HT_DISK_IDE)
         else:
-          options = '%s,boot=on' % options
+          options = "%s,boot=on" % options
       else:
         if cdrom_disk_type == constants.HT_DISK_PARAVIRTUAL:
-          if_val = ',if=virtio'
+          if_val = ",if=virtio"
         else:
-          if_val = ',if=%s' % cdrom_disk_type
-        options = '%s%s' % (options, if_val)
-      drive_val = 'file=%s%s' % (iso_image, options)
-      kvm_cmd.extend(['-drive', drive_val])
+          if_val = ",if=%s" % cdrom_disk_type
+        options = "%s%s" % (options, if_val)
+      drive_val = "file=%s%s" % (iso_image, options)
+      kvm_cmd.extend(["-drive", drive_val])
 
     iso_image2 = hvp[constants.HV_KVM_CDROM2_IMAGE_PATH]
     if iso_image2:
-      options = ',format=raw,media=cdrom'
+      options = ",format=raw,media=cdrom"
       if cdrom_disk_type == constants.HT_DISK_PARAVIRTUAL:
-        if_val = ',if=virtio'
+        if_val = ",if=virtio"
       else:
-        if_val = ',if=%s' % cdrom_disk_type
-      options = '%s%s' % (options, if_val)
-      drive_val = 'file=%s%s' % (iso_image2, options)
-      kvm_cmd.extend(['-drive', drive_val])
+        if_val = ",if=%s" % cdrom_disk_type
+      options = "%s%s" % (options, if_val)
+      drive_val = "file=%s%s" % (iso_image2, options)
+      kvm_cmd.extend(["-drive", drive_val])
 
     floppy_image = hvp[constants.HV_KVM_FLOPPY_IMAGE_PATH]
     if floppy_image:
-      options = ',format=raw,media=disk'
+      options = ",format=raw,media=disk"
       if boot_floppy:
-        kvm_cmd.extend(['-boot', 'a'])
-        options = '%s,boot=on' % options
-      if_val = ',if=floppy'
-      options = '%s%s' % (options, if_val)
-      drive_val = 'file=%s%s' % (floppy_image, options)
-      kvm_cmd.extend(['-drive', drive_val])
+        kvm_cmd.extend(["-boot", "a"])
+        options = "%s,boot=on" % options
+      if_val = ",if=floppy"
+      options = "%s%s" % (options, if_val)
+      drive_val = "file=%s%s" % (floppy_image, options)
+      kvm_cmd.extend(["-drive", drive_val])
 
     kernel_path = hvp[constants.HV_KERNEL_PATH]
     if kernel_path:
-      kvm_cmd.extend(['-kernel', kernel_path])
+      kvm_cmd.extend(["-kernel", kernel_path])
       initrd_path = hvp[constants.HV_INITRD_PATH]
       if initrd_path:
-        kvm_cmd.extend(['-initrd', initrd_path])
-      root_append = ['root=%s' % hvp[constants.HV_ROOT_PATH],
+        kvm_cmd.extend(["-initrd", initrd_path])
+      root_append = ["root=%s" % hvp[constants.HV_ROOT_PATH],
                      hvp[constants.HV_KERNEL_ARGS]]
       if hvp[constants.HV_SERIAL_CONSOLE]:
-        root_append.append('console=ttyS0,38400')
-      kvm_cmd.extend(['-append', ' '.join(root_append)])
+        root_append.append("console=ttyS0,38400")
+      kvm_cmd.extend(["-append", " ".join(root_append)])
 
     mem_path = hvp[constants.HV_MEM_PATH]
     if mem_path:
@@ -649,10 +649,10 @@ class KVMHypervisor(hv_base.BaseHypervisor):
     vnc_bind_address = hvp[constants.HV_VNC_BIND_ADDRESS]
 
     if mouse_type:
-      kvm_cmd.extend(['-usb'])
-      kvm_cmd.extend(['-usbdevice', mouse_type])
+      kvm_cmd.extend(["-usb"])
+      kvm_cmd.extend(["-usbdevice", mouse_type])
     elif vnc_bind_address:
-      kvm_cmd.extend(['-usbdevice', constants.HT_MOUSE_TABLET])
+      kvm_cmd.extend(["-usbdevice", constants.HT_MOUSE_TABLET])
 
     keymap = hvp[constants.HV_KEYMAP]
     if keymap:
@@ -669,53 +669,53 @@ class KVMHypervisor(hv_base.BaseHypervisor):
         if instance.network_port > constants.VNC_BASE_PORT:
           display = instance.network_port - constants.VNC_BASE_PORT
           if vnc_bind_address == constants.IP4_ADDRESS_ANY:
-            vnc_arg = ':%d' % (display)
+            vnc_arg = ":%d" % (display)
           else:
-            vnc_arg = '%s:%d' % (vnc_bind_address, display)
+            vnc_arg = "%s:%d" % (vnc_bind_address, display)
         else:
           logging.error("Network port is not a valid VNC display (%d < %d)."
                         " Not starting VNC", instance.network_port,
                         constants.VNC_BASE_PORT)
-          vnc_arg = 'none'
+          vnc_arg = "none"
 
         # Only allow tls and other option when not binding to a file, for now.
         # kvm/qemu gets confused otherwise about the filename to use.
-        vnc_append = ''
+        vnc_append = ""
         if hvp[constants.HV_VNC_TLS]:
-          vnc_append = '%s,tls' % vnc_append
+          vnc_append = "%s,tls" % vnc_append
           if hvp[constants.HV_VNC_X509_VERIFY]:
-            vnc_append = '%s,x509verify=%s' % (vnc_append,
+            vnc_append = "%s,x509verify=%s" % (vnc_append,
                                                hvp[constants.HV_VNC_X509])
           elif hvp[constants.HV_VNC_X509]:
-            vnc_append = '%s,x509=%s' % (vnc_append,
+            vnc_append = "%s,x509=%s" % (vnc_append,
                                          hvp[constants.HV_VNC_X509])
         if hvp[constants.HV_VNC_PASSWORD_FILE]:
-          vnc_append = '%s,password' % vnc_append
+          vnc_append = "%s,password" % vnc_append
 
-        vnc_arg = '%s%s' % (vnc_arg, vnc_append)
+        vnc_arg = "%s%s" % (vnc_arg, vnc_append)
 
       else:
-        vnc_arg = 'unix:%s/%s.vnc' % (vnc_bind_address, instance.name)
+        vnc_arg = "unix:%s/%s.vnc" % (vnc_bind_address, instance.name)
 
-      kvm_cmd.extend(['-vnc', vnc_arg])
+      kvm_cmd.extend(["-vnc", vnc_arg])
     else:
-      kvm_cmd.extend(['-nographic'])
+      kvm_cmd.extend(["-nographic"])
 
     monitor_dev = ("unix:%s,server,nowait" %
                    self._InstanceMonitor(instance.name))
-    kvm_cmd.extend(['-monitor', monitor_dev])
+    kvm_cmd.extend(["-monitor", monitor_dev])
     if hvp[constants.HV_SERIAL_CONSOLE]:
-      serial_dev = ('unix:%s,server,nowait' %
+      serial_dev = ("unix:%s,server,nowait" %
                     self._InstanceSerial(instance.name))
-      kvm_cmd.extend(['-serial', serial_dev])
+      kvm_cmd.extend(["-serial", serial_dev])
     else:
-      kvm_cmd.extend(['-serial', 'none'])
+      kvm_cmd.extend(["-serial", "none"])
 
     if hvp[constants.HV_USE_LOCALTIME]:
-      kvm_cmd.extend(['-localtime'])
+      kvm_cmd.extend(["-localtime"])
 
     if hvp[constants.HV_KVM_USE_CHROOT]:
-      kvm_cmd.extend(['-chroot', self._InstanceChrootDir(instance.name)])
+      kvm_cmd.extend(["-chroot", self._InstanceChrootDir(instance.name)])
 
     # Save the current instance nics, but defer their expansion as parameters,
     # as we'll need to generate executable temp files for them.
@@ -868,7 +868,7 @@ class KVMHypervisor(hv_base.BaseHypervisor):
 
     if incoming:
       target, port = incoming
-      kvm_cmd.extend(['-incoming', 'tcp:%s:%s' % (target, port)])
+      kvm_cmd.extend(["-incoming", "tcp:%s:%s" % (target, port)])
 
     # Changing the vnc password doesn't bother the guest that much. At most it
     # will surprise people who connect to it. Whether positively or negatively
@@ -919,7 +919,7 @@ class KVMHypervisor(hv_base.BaseHypervisor):
                       data=tap)
 
     if vnc_pwd:
-      change_cmd = 'change vnc password %s' % vnc_pwd
+      change_cmd = "change vnc password %s" % vnc_pwd
       self._CallMonitorCommand(instance.name, change_cmd)
 
     for filename in temp_files:
@@ -986,7 +986,7 @@ class KVMHypervisor(hv_base.BaseHypervisor):
       if force or not acpi:
         utils.KillProcess(pid)
       else:
-        self._CallMonitorCommand(name, 'system_powerdown')
+        self._CallMonitorCommand(name, "system_powerdown")
 
   def CleanupInstance(self, instance_name):
     """Cleanup after a stopped instance
@@ -1097,20 +1097,20 @@ class KVMHypervisor(hv_base.BaseHypervisor):
       raise errors.HypervisorError("Instance not running, cannot migrate")
 
     if not live:
-      self._CallMonitorCommand(instance_name, 'stop')
+      self._CallMonitorCommand(instance_name, "stop")
 
-    migrate_command = ('migrate_set_speed %dm' %
+    migrate_command = ("migrate_set_speed %dm" %
         instance.hvparams[constants.HV_MIGRATION_BANDWIDTH])
     self._CallMonitorCommand(instance_name, migrate_command)
 
-    migrate_command = ('migrate_set_downtime %dms' %
+    migrate_command = ("migrate_set_downtime %dms" %
         instance.hvparams[constants.HV_MIGRATION_DOWNTIME])
     self._CallMonitorCommand(instance_name, migrate_command)
 
-    migrate_command = 'migrate -d tcp:%s:%s' % (target, port)
+    migrate_command = "migrate -d tcp:%s:%s" % (target, port)
     self._CallMonitorCommand(instance_name, migrate_command)
 
-    info_command = 'info migrate'
+    info_command = "info migrate"
     done = False
     broken_answers = 0
     while not done:
@@ -1126,13 +1126,13 @@ class KVMHypervisor(hv_base.BaseHypervisor):
         time.sleep(self._MIGRATION_INFO_RETRY_DELAY)
       else:
         status = match.group(1)
-        if status == 'completed':
+        if status == "completed":
           done = True
-        elif status == 'active':
+        elif status == "active":
           # reset the broken answers count
           broken_answers = 0
           time.sleep(self._MIGRATION_INFO_RETRY_DELAY)
-        elif status == 'failed' or status == 'cancelled':
+        elif status == "failed" or status == "cancelled":
           if not live:
             self._CallMonitorCommand(instance_name, 'cont')
           raise errors.HypervisorError("Migration %s at the kvm level" %
diff --git a/lib/hypervisor/hv_xen.py b/lib/hypervisor/hv_xen.py
index ff067c0..7693bea 100644
--- a/lib/hypervisor/hv_xen.py
+++ b/lib/hypervisor/hv_xen.py
@@ -46,8 +46,8 @@ class XenHypervisor(hv_base.BaseHypervisor):
   REBOOT_RETRY_INTERVAL = 10
 
   ANCILLARY_FILES = [
-    '/etc/xen/xend-config.sxp',
-    '/etc/xen/scripts/vif-bridge',
+    "/etc/xen/xend-config.sxp",
+    "/etc/xen/scripts/vif-bridge",
     ]
 
   @classmethod
@@ -142,7 +142,7 @@ class XenHypervisor(hv_base.BaseHypervisor):
                                      " line: %s, error: %s" % (line, err))
 
       # skip the Domain-0 (optional)
-      if include_node or data[0] != 'Domain-0':
+      if include_node or data[0] != "Domain-0":
         result.append(data)
 
     return result
@@ -275,26 +275,26 @@ class XenHypervisor(hv_base.BaseHypervisor):
       if len(splitfields) > 1:
         key = splitfields[0].strip()
         val = splitfields[1].strip()
-        if key == 'memory' or key == 'total_memory':
-          result['memory_total'] = int(val)
-        elif key == 'free_memory':
-          result['memory_free'] = int(val)
-        elif key == 'nr_cpus':
-          nr_cpus = result['cpu_total'] = int(val)
-        elif key == 'nr_nodes':
-          result['cpu_nodes'] = int(val)
-        elif key == 'cores_per_socket':
+        if key == "memory" or key == "total_memory":
+          result["memory_total"] = int(val)
+        elif key == "free_memory":
+          result["memory_free"] = int(val)
+        elif key == "nr_cpus":
+          nr_cpus = result["cpu_total"] = int(val)
+        elif key == "nr_nodes":
+          result["cpu_nodes"] = int(val)
+        elif key == "cores_per_socket":
           cores_per_socket = int(val)
-        elif key == 'threads_per_core':
+        elif key == "threads_per_core":
           threads_per_core = int(val)
 
     if (cores_per_socket is not None and
         threads_per_core is not None and nr_cpus is not None):
-      result['cpu_sockets'] = nr_cpus / (cores_per_socket * threads_per_core)
+      result["cpu_sockets"] = nr_cpus / (cores_per_socket * threads_per_core)
 
     dom0_info = self.GetInstanceInfo("Domain-0")
     if dom0_info is not None:
-      result['memory_dom0'] = dom0_info[2]
+      result["memory_dom0"] = dom0_info[2]
 
     return result
 
@@ -344,7 +344,7 @@ class XenHypervisor(hv_base.BaseHypervisor):
     if len(block_devices) > 24:
       # 'z' - 'a' = 24
       raise errors.HypervisorError("Too many disks")
-    namespace = [blockdev_prefix + chr(i + ord('a')) for i in range(24)]
+    namespace = [blockdev_prefix + chr(i + ord("a")) for i in range(24)]
     for sd_name, (cfdev, dev_path) in zip(namespace, block_devices):
       if cfdev.mode == constants.DISK_RDWR:
         mode = "w"
diff --git a/lib/netutils.py b/lib/netutils.py
index fc864eb..8b51e46 100644
--- a/lib/netutils.py
+++ b/lib/netutils.py
@@ -476,16 +476,16 @@ class IP6Address(IPAddress):
       # We have a shorthand address, expand it
       parts = []
       twoparts = address.split("::")
-      sep = len(twoparts[0].split(':')) + len(twoparts[1].split(':'))
-      parts = twoparts[0].split(':')
+      sep = len(twoparts[0].split(":")) + len(twoparts[1].split(":"))
+      parts = twoparts[0].split(":")
       [parts.append("0") for _ in range(8 - sep)]
-      parts += twoparts[1].split(':')
+      parts += twoparts[1].split(":")
     else:
       parts = address.split(":")
 
     address_int = 0
     for part in parts:
-      address_int = (address_int << 16) + int(part or '0', 16)
+      address_int = (address_int << 16) + int(part or "0", 16)
 
     return address_int
 
diff --git a/lib/rapi/connector.py b/lib/rapi/connector.py
index 55dfe86..34c13fd 100644
--- a/lib/rapi/connector.py
+++ b/lib/rapi/connector.py
@@ -70,8 +70,8 @@ class Mapper:
             - args: a dictionary with additional parameters from URL
 
     """
-    if '?' in uri:
-      (path, query) = uri.split('?', 1)
+    if "?" in uri:
+      (path, query) = uri.split("?", 1)
       args = cgi.parse_qs(query)
     else:
       path = uri
@@ -107,7 +107,7 @@ class R_root(baserlib.R_Generic):
       m = cls._ROOT_PATTERN.match(handler.__name__)
       if m:
         name = m.group(1)
-        if name != 'root':
+        if name != "root":
           rootlist.append(name)
 
     return baserlib.BuildUriList(rootlist, "/%s")
@@ -121,7 +121,7 @@ def _getResources(id_):
   @return: a list of resources names.
 
   """
-  r_pattern = re.compile('^R_%s_([a-zA-Z0-9]+)$' % id_)
+  r_pattern = re.compile("^R_%s_([a-zA-Z0-9]+)$" % id_)
 
   rlist = []
   for handler in CONNECTOR.values():
@@ -167,72 +167,72 @@ def GetHandlers(node_name_pattern, instance_name_pattern,
     "/2": R_2,
 
     "/2/nodes": rlib2.R_2_nodes,
-    re.compile(r'^/2/nodes/(%s)$' % node_name_pattern):
+    re.compile(r"^/2/nodes/(%s)$" % node_name_pattern):
       rlib2.R_2_nodes_name,
-    re.compile(r'^/2/nodes/(%s)/tags$' % node_name_pattern):
+    re.compile(r"^/2/nodes/(%s)/tags$" % node_name_pattern):
       rlib2.R_2_nodes_name_tags,
-    re.compile(r'^/2/nodes/(%s)/role$' % node_name_pattern):
+    re.compile(r"^/2/nodes/(%s)/role$" % node_name_pattern):
       rlib2.R_2_nodes_name_role,
-    re.compile(r'^/2/nodes/(%s)/evacuate$' % node_name_pattern):
+    re.compile(r"^/2/nodes/(%s)/evacuate$" % node_name_pattern):
       rlib2.R_2_nodes_name_evacuate,
-    re.compile(r'^/2/nodes/(%s)/migrate$' % node_name_pattern):
+    re.compile(r"^/2/nodes/(%s)/migrate$" % node_name_pattern):
       rlib2.R_2_nodes_name_migrate,
-    re.compile(r'^/2/nodes/(%s)/storage$' % node_name_pattern):
+    re.compile(r"^/2/nodes/(%s)/storage$" % node_name_pattern):
       rlib2.R_2_nodes_name_storage,
-    re.compile(r'^/2/nodes/(%s)/storage/modify$' % node_name_pattern):
+    re.compile(r"^/2/nodes/(%s)/storage/modify$" % node_name_pattern):
       rlib2.R_2_nodes_name_storage_modify,
-    re.compile(r'^/2/nodes/(%s)/storage/repair$' % node_name_pattern):
+    re.compile(r"^/2/nodes/(%s)/storage/repair$" % node_name_pattern):
       rlib2.R_2_nodes_name_storage_repair,
 
     "/2/instances": rlib2.R_2_instances,
-    re.compile(r'^/2/instances/(%s)$' % instance_name_pattern):
+    re.compile(r"^/2/instances/(%s)$" % instance_name_pattern):
       rlib2.R_2_instances_name,
-    re.compile(r'^/2/instances/(%s)/info$' % instance_name_pattern):
+    re.compile(r"^/2/instances/(%s)/info$" % instance_name_pattern):
       rlib2.R_2_instances_name_info,
-    re.compile(r'^/2/instances/(%s)/tags$' % instance_name_pattern):
+    re.compile(r"^/2/instances/(%s)/tags$" % instance_name_pattern):
       rlib2.R_2_instances_name_tags,
-    re.compile(r'^/2/instances/(%s)/reboot$' % instance_name_pattern):
+    re.compile(r"^/2/instances/(%s)/reboot$" % instance_name_pattern):
       rlib2.R_2_instances_name_reboot,
-    re.compile(r'^/2/instances/(%s)/reinstall$' % instance_name_pattern):
+    re.compile(r"^/2/instances/(%s)/reinstall$" % instance_name_pattern):
       rlib2.R_2_instances_name_reinstall,
-    re.compile(r'^/2/instances/(%s)/replace-disks$' % instance_name_pattern):
+    re.compile(r"^/2/instances/(%s)/replace-disks$" % instance_name_pattern):
       rlib2.R_2_instances_name_replace_disks,
-    re.compile(r'^/2/instances/(%s)/shutdown$' % instance_name_pattern):
+    re.compile(r"^/2/instances/(%s)/shutdown$" % instance_name_pattern):
       rlib2.R_2_instances_name_shutdown,
-    re.compile(r'^/2/instances/(%s)/startup$' % instance_name_pattern):
+    re.compile(r"^/2/instances/(%s)/startup$" % instance_name_pattern):
       rlib2.R_2_instances_name_startup,
-    re.compile(r'^/2/instances/(%s)/activate-disks$' % instance_name_pattern):
+    re.compile(r"^/2/instances/(%s)/activate-disks$" % instance_name_pattern):
       rlib2.R_2_instances_name_activate_disks,
-    re.compile(r'^/2/instances/(%s)/deactivate-disks$' % instance_name_pattern):
+    re.compile(r"^/2/instances/(%s)/deactivate-disks$" % instance_name_pattern):
       rlib2.R_2_instances_name_deactivate_disks,
-    re.compile(r'^/2/instances/(%s)/prepare-export$' % instance_name_pattern):
+    re.compile(r"^/2/instances/(%s)/prepare-export$" % instance_name_pattern):
       rlib2.R_2_instances_name_prepare_export,
-    re.compile(r'^/2/instances/(%s)/export$' % instance_name_pattern):
+    re.compile(r"^/2/instances/(%s)/export$" % instance_name_pattern):
       rlib2.R_2_instances_name_export,
-    re.compile(r'^/2/instances/(%s)/migrate$' % instance_name_pattern):
+    re.compile(r"^/2/instances/(%s)/migrate$" % instance_name_pattern):
       rlib2.R_2_instances_name_migrate,
-    re.compile(r'^/2/instances/(%s)/failover$' % instance_name_pattern):
+    re.compile(r"^/2/instances/(%s)/failover$" % instance_name_pattern):
       rlib2.R_2_instances_name_failover,
-    re.compile(r'^/2/instances/(%s)/rename$' % instance_name_pattern):
+    re.compile(r"^/2/instances/(%s)/rename$" % instance_name_pattern):
       rlib2.R_2_instances_name_rename,
-    re.compile(r'^/2/instances/(%s)/modify$' % instance_name_pattern):
+    re.compile(r"^/2/instances/(%s)/modify$" % instance_name_pattern):
       rlib2.R_2_instances_name_modify,
     re.compile(r"^/2/instances/(%s)/disk/(%s)/grow$" %
                (instance_name_pattern, disk_pattern)):
       rlib2.R_2_instances_name_disk_grow,
-    re.compile(r'^/2/instances/(%s)/console$' % instance_name_pattern):
+    re.compile(r"^/2/instances/(%s)/console$" % instance_name_pattern):
       rlib2.R_2_instances_name_console,
 
     "/2/groups": rlib2.R_2_groups,
-    re.compile(r'^/2/groups/(%s)$' % group_name_pattern):
+    re.compile(r"^/2/groups/(%s)$" % group_name_pattern):
       rlib2.R_2_groups_name,
-    re.compile(r'^/2/groups/(%s)/modify$' % group_name_pattern):
+    re.compile(r"^/2/groups/(%s)/modify$" % group_name_pattern):
       rlib2.R_2_groups_name_modify,
-    re.compile(r'^/2/groups/(%s)/rename$' % group_name_pattern):
+    re.compile(r"^/2/groups/(%s)/rename$" % group_name_pattern):
       rlib2.R_2_groups_name_rename,
-    re.compile(r'^/2/groups/(%s)/assign-nodes$' % group_name_pattern):
+    re.compile(r"^/2/groups/(%s)/assign-nodes$" % group_name_pattern):
       rlib2.R_2_groups_name_assign_nodes,
-    re.compile(r'^/2/groups/(%s)/tags$' % group_name_pattern):
+    re.compile(r"^/2/groups/(%s)/tags$" % group_name_pattern):
       rlib2.R_2_groups_name_tags,
 
     "/2/jobs": rlib2.R_2_jobs,
diff --git a/lib/rapi/rlib2.py b/lib/rapi/rlib2.py
index 37df839..7415948 100644
--- a/lib/rapi/rlib2.py
+++ b/lib/rapi/rlib2.py
@@ -837,9 +837,9 @@ class R_2_instances_name_reboot(baserlib.R_Generic):
 
     """
     instance_name = self.items[0]
-    reboot_type = self.queryargs.get('type',
+    reboot_type = self.queryargs.get("type",
                                      [constants.INSTANCE_REBOOT_HARD])[0]
-    ignore_secondaries = bool(self._checkIntVariable('ignore_secondaries'))
+    ignore_secondaries = bool(self._checkIntVariable("ignore_secondaries"))
     op = opcodes.OpInstanceReboot(instance_name=instance_name,
                                   reboot_type=reboot_type,
                                   ignore_secondaries=ignore_secondaries,
@@ -862,8 +862,8 @@ class R_2_instances_name_startup(baserlib.R_Generic):
 
     """
     instance_name = self.items[0]
-    force_startup = bool(self._checkIntVariable('force'))
-    no_remember = bool(self._checkIntVariable('no_remember'))
+    force_startup = bool(self._checkIntVariable("force"))
+    no_remember = bool(self._checkIntVariable("no_remember"))
     op = opcodes.OpInstanceStartup(instance_name=instance_name,
                                    force=force_startup,
                                    dry_run=bool(self.dryRun()),
@@ -900,7 +900,7 @@ class R_2_instances_name_shutdown(baserlib.R_Generic):
     """
     baserlib.CheckType(self.request_body, dict, "Body contents")
 
-    no_remember = bool(self._checkIntVariable('no_remember'))
+    no_remember = bool(self._checkIntVariable("no_remember"))
     op = _ParseShutdownInstanceRequest(self.items[0], self.request_body,
                                        bool(self.dryRun()), no_remember)
 
@@ -1015,7 +1015,7 @@ class R_2_instances_name_activate_disks(baserlib.R_Generic):
 
     """
     instance_name = self.items[0]
-    ignore_size = bool(self._checkIntVariable('ignore_size'))
+    ignore_size = bool(self._checkIntVariable("ignore_size"))
 
     op = opcodes.OpInstanceActivateDisks(instance_name=instance_name,
                                          ignore_size=ignore_size)
@@ -1355,11 +1355,11 @@ class _R_Tags(baserlib.R_Generic):
 
     """
     # pylint: disable-msg=W0212
-    if 'tag' not in self.queryargs:
+    if "tag" not in self.queryargs:
       raise http.HttpBadRequest("Please specify tag(s) to add using the"
                                 " the 'tag' parameter")
     return baserlib._Tags_PUT(self.TAG_LEVEL,
-                              self.queryargs['tag'], name=self.name,
+                              self.queryargs["tag"], name=self.name,
                               dry_run=bool(self.dryRun()))
 
   def DELETE(self):
@@ -1371,12 +1371,12 @@ class _R_Tags(baserlib.R_Generic):
 
     """
     # pylint: disable-msg=W0212
-    if 'tag' not in self.queryargs:
+    if "tag" not in self.queryargs:
       # no we not gonna delete all tags
       raise http.HttpBadRequest("Cannot delete all tags - please specify"
                                 " tag(s) using the 'tag' parameter")
     return baserlib._Tags_DELETE(self.TAG_LEVEL,
-                                 self.queryargs['tag'],
+                                 self.queryargs["tag"],
                                  name=self.name,
                                  dry_run=bool(self.dryRun()))
 
diff --git a/lib/serializer.py b/lib/serializer.py
index 9a5f1ce..81f1add 100644
--- a/lib/serializer.py
+++ b/lib/serializer.py
@@ -38,7 +38,7 @@ from ganeti import utils
 
 _JSON_INDENT = 2
 
-_RE_EOLSP = re.compile('[ \t]+$', re.MULTILINE)
+_RE_EOLSP = re.compile("[ \t]+$", re.MULTILINE)
 
 
 def _GetJsonDumpers(_encoder_class=simplejson.JSONEncoder):
@@ -79,8 +79,8 @@ def DumpJson(data, indent=True):
     fn = _DumpJson
 
   txt = _RE_EOLSP.sub("", fn(data))
-  if not txt.endswith('\n'):
-    txt += '\n'
+  if not txt.endswith("\n"):
+    txt += "\n"
 
   return txt
 
@@ -108,10 +108,10 @@ def DumpSignedJson(data, key, salt=None, key_selector=None):
   """
   txt = DumpJson(data, indent=False)
   if salt is None:
-    salt = ''
+    salt = ""
   signed_dict = {
-    'msg': txt,
-    'salt': salt,
+    "msg": txt,
+    "salt": salt,
     }
 
   if key_selector:
@@ -138,13 +138,13 @@ def LoadSignedJson(txt, key):
   """
   signed_dict = LoadJson(txt)
   if not isinstance(signed_dict, dict):
-    raise errors.SignatureError('Invalid external message')
+    raise errors.SignatureError("Invalid external message")
   try:
-    msg = signed_dict['msg']
-    salt = signed_dict['salt']
-    hmac_sign = signed_dict['hmac']
+    msg = signed_dict["msg"]
+    salt = signed_dict["salt"]
+    hmac_sign = signed_dict["hmac"]
   except KeyError:
-    raise errors.SignatureError('Invalid external message')
+    raise errors.SignatureError("Invalid external message")
 
   if callable(key):
     # pylint: disable-msg=E1103
@@ -159,7 +159,7 @@ def LoadSignedJson(txt, key):
 
   if not utils.VerifySha1Hmac(hmac_key, msg, hmac_sign,
                               salt=salt + key_selector):
-    raise errors.SignatureError('Invalid Signature')
+    raise errors.SignatureError("Invalid Signature")
 
   return LoadJson(msg), salt
 
diff --git a/lib/ssconf.py b/lib/ssconf.py
index 5498ba3..c1ef096 100644
--- a/lib/ssconf.py
+++ b/lib/ssconf.py
@@ -41,7 +41,7 @@ from ganeti import netutils
 
 SSCONF_LOCK_TIMEOUT = 10
 
-RE_VALID_SSCONF_NAME = re.compile(r'^[-_a-z0-9]+$')
+RE_VALID_SSCONF_NAME = re.compile(r"^[-_a-z0-9]+$")
 
 
 class SimpleConfigReader(object):
@@ -111,17 +111,17 @@ class SimpleConfigReader(object):
     self._ip_to_inst_by_link = {}
     self._instances_ips = []
     self._inst_ips_by_link = {}
-    c_nparams = self._config_data['cluster']['nicparams'][constants.PP_DEFAULT]
-    for iname in self._config_data['instances']:
-      instance = self._config_data['instances'][iname]
-      for nic in instance['nics']:
-        if 'ip' in nic and nic['ip']:
-          params = objects.FillDict(c_nparams, nic['nicparams'])
-          if not params['link'] in self._inst_ips_by_link:
-            self._inst_ips_by_link[params['link']] = []
-            self._ip_to_inst_by_link[params['link']] = {}
-          self._ip_to_inst_by_link[params['link']][nic['ip']] = iname
-          self._inst_ips_by_link[params['link']].append(nic['ip'])
+    c_nparams = self._config_data["cluster"]["nicparams"][constants.PP_DEFAULT]
+    for iname in self._config_data["instances"]:
+      instance = self._config_data["instances"][iname]
+      for nic in instance["nics"]:
+        if "ip" in nic and nic["ip"]:
+          params = objects.FillDict(c_nparams, nic["nicparams"])
+          if not params["link"] in self._inst_ips_by_link:
+            self._inst_ips_by_link[params["link"]] = []
+            self._ip_to_inst_by_link[params["link"]] = {}
+          self._ip_to_inst_by_link[params["link"]][nic["ip"]] = iname
+          self._inst_ips_by_link[params["link"]].append(nic["ip"])
 
     self._nodes_primary_ips = []
     self._mc_primary_ips = []
@@ -310,7 +310,7 @@ class SimpleStore(object):
       raise errors.ProgrammerError("Invalid key requested from SSConf: '%s'"
                                    % str(key))
 
-    filename = self._cfg_dir + '/' + self._SS_FILEPREFIX + key
+    filename = self._cfg_dir + "/" + self._SS_FILEPREFIX + key
     return filename
 
   def _ReadFile(self, key, default=None):
@@ -328,7 +328,7 @@ class SimpleStore(object):
         return default
       raise errors.ConfigurationError("Can't read from the ssconf file:"
                                       " '%s'" % str(err))
-    data = data.rstrip('\n')
+    data = data.rstrip("\n")
     return data
 
   def WriteFiles(self, values):
